-- License CC0 (Creative Commons license) (c) darkfrei, 2023

local function newBack (img, vx)
	local bgr = 
		{img = love.graphics.newImage(img),
		x = 0,
		vx = vx}
	bgr.w = bgr.img:getWidth()
	return bgr
end

local function updateBack (bgr, dt)
	bgr.x = bgr.x + dt*bgr.vx
	if bgr.x < -bgr.w then 
		bgr.x = bgr.x + bgr.w
	elseif bgr.x > 0 then 
		bgr.x = bgr.x - bgr.w
	end
end

local function drawBack (bgr)
	local w = love.graphics.getWidth()
	for x = bgr.x, w, bgr.w do
		love.graphics.draw (bgr.img, x, 0)
	end	
end

function love.load()
	bgr1 = newBack ('back-1.png', -20)
	bgr2 = newBack ('back-2.png', -40)
	bgr3 = newBack ('back-3.png', -160)
end

function love.update(dt)
	updateBack (bgr1, dt)
	updateBack (bgr2, dt)
	updateBack (bgr3, dt)
end

function love.draw()
	drawBack (bgr1)
	drawBack (bgr2)
	drawBack (bgr3)
end

function love.keypressed(key, scancode, isrepeat)
	if false then
	elseif key == "escape" then
		love.event.quit()
	end
end

function love.mousepressed( x, y, button, istouch, presses )
	if button == 1 then -- left mouse button
	elseif button == 2 then -- right mouse button
	end
end

function love.mousemoved( x, y, dx, dy, istouch )
end

function love.mousereleased( x, y, button, istouch, presses )
	if button == 1 then -- left mouse button
	elseif button == 2 then -- right mouse button
	end
end